<?php session_start();

if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}

if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$enlace=cargar_conexion();

$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' AND nomina='100' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per='';

//Valida el ultimo periodo cerrado
$query = mysqli_query($enlace,"SELECT * FROM periodo where pre = 1 AND id = '".$_SESSION['id_validar']."' ORDER BY nomina,periodo DESC LIMIT 1");
$resultado = mysqli_fetch_array($query);
$periodo = $resultado['periodo'];


//Obtiene los periodos ya sincronizados, solo trae el último de cada tipo de asiento
$query2 = "SELECT sincronizacion_dynamics.* FROM ( SELECT MAX(id_sincronizacion) AS id_sincronizacion FROM sincronizacion_dynamics WHERE sincronizacion_dynamics.id = '".$_SESSION['id_validar']."' GROUP BY asiento order by sincronizacion_dynamics.fecha_sincronizacion) as t1 INNER JOIN sincronizacion_dynamics ON t1.id_sincronizacion = sincronizacion_dynamics.id_sincronizacion ORDER BY `sincronizacion_dynamics`.`fecha_sincronizacion` DESC";
$resultado2 = mysqli_query($enlace,$query2);

//####### INICIO: IDENTIFCAR LOS ASIENTOS QUE NO SE HAN SINCRONIZADO ################

//Obtener todos los periodos cerrados

if ($_SESSION['id_validar'] == '107'){
	
$query3 = "SELECT *,MAX(periodo) AS periodo FROM periodo where pre = 1  AND id = '".$_SESSION['id_validar']."'  AND (desde >= '2024-01-01' OR hasta >= '2024-01-01')   GROUP BY periodo ORDER BY nomina,periodo";
$resultado3 = mysqli_query($enlace,$query3);

}else {

$query3 = "SELECT *,MAX(periodo) AS periodo FROM periodo where pre = 1  AND id = '".$_SESSION['id_validar']."'  AND (desde > '2024-03-01' OR hasta > '2024-03-01')   GROUP BY periodo ORDER BY nomina,periodo";
$resultado3 = mysqli_query($enlace,$query3);
}



//Por cada periodo cerrado buscar si fue sincronizado cada asiento
$array_sincronizar = array();
while($row_per = mysqli_fetch_assoc( $resultado3)){
	$tipo_nomina =  $row_per['nomina'];
	$periodo_cerrado = $row_per['periodo'];
	$perido_cerrado_desde = $row_per['desde'];
	$perido_cerrado_hasta = $row_per['hasta'];
	


	//------- NOMINA -------//
	//Valida si este periodo ya fue sincronizado
	
	$query_asiento = mysqli_query($enlace,"SELECT sincronizacion_dynamics.* FROM ( SELECT MAX(id_sincronizacion) AS id_sincronizacion FROM sincronizacion_dynamics WHERE id = '".$_SESSION['id_validar']."' AND asiento = 'nomina' GROUP BY asiento,periodo ) as t1 INNER JOIN sincronizacion_dynamics ON t1.id_sincronizacion = sincronizacion_dynamics.id_sincronizacion WHERE sincronizacion_dynamics.periodo='".$periodo_cerrado."' AND sincronizacion_dynamics.estado_sincronizacion='Exitoso'") or die ("Error in query: $query_asiento. ".mysqli_error($enlace));
	if (mysqli_num_rows($query_asiento)==0){
		//echo "<br>No se encontraron registros sincronizados de nomina en el periodo: ".$periodo_cerrado;
		$array_sincronizar[] =array(
			"asiento" => "nomina",
			"periodo"=> $periodo_cerrado,
			"desde"=> $perido_cerrado_desde,
			"hasta"=> $perido_cerrado_hasta
		);
	}

	
	//------- APORTES PARAFISCALES -------//
	//Valida si este periodo ya fue sincronizado
	if($tipo_nomina!=100 && $periodo_cerrado>='505'){
	$query_asiento = mysqli_query($enlace,"SELECT sincronizacion_dynamics.* FROM ( SELECT MAX(id_sincronizacion) AS id_sincronizacion FROM sincronizacion_dynamics WHERE id = '".$_SESSION['id_validar']."' AND asiento = 'aportes_parafiscales' GROUP BY asiento,periodo ) as t1 INNER JOIN sincronizacion_dynamics ON t1.id_sincronizacion = sincronizacion_dynamics.id_sincronizacion WHERE sincronizacion_dynamics.periodo='".$periodo_cerrado."' AND sincronizacion_dynamics.estado_sincronizacion='Exitoso' ") or die ("Error in query: $query_asiento. ".mysqli_error($enlace));
	if (mysqli_num_rows($query_asiento)==0){
		//echo "<br>No se encontraron registros sincronizados de nomina en el periodo: ".$periodo_cerrado;
		$array_sincronizar[] =array(
			"asiento" => "aportes_parafiscales",
			"periodo"=> $periodo_cerrado,
			"desde"=> $perido_cerrado_desde,
			"hasta"=> $perido_cerrado_hasta
		);
	}
	}
	

	/*
	//------- APORTES INCES -------//
	//Valida si este periodo ya fue sincronizado
	if($tipo_nomina!=100 && $periodo_cerrado>='506'){
	$query_asiento = mysqli_query($enlace,"SELECT sincronizacion_dynamics.* FROM ( SELECT MAX(id_sincronizacion) AS id_sincronizacion FROM sincronizacion_dynamics WHERE id = '".$_SESSION['id_validar']."' AND asiento = 'aportes_inces' GROUP BY asiento,periodo ) as t1 INNER JOIN sincronizacion_dynamics ON t1.id_sincronizacion = sincronizacion_dynamics.id_sincronizacion WHERE sincronizacion_dynamics.periodo='".$periodo_cerrado."' AND sincronizacion_dynamics.estado_sincronizacion='Exitoso' ") or die ("Error in query: $query_asiento. ".mysqli_error($enlace));
	if (mysqli_num_rows($query_asiento)==0){
		//echo "<br>No se encontraron registros sincronizados de nomina en el periodo: ".$periodo_cerrado;
		$array_sincronizar[] =array(
			"asiento" => "aportes_inces",
			"periodo"=> $periodo_cerrado,
			"desde"=> $perido_cerrado_desde,
			"hasta"=> $perido_cerrado_hasta
		);
	}
	}
	*/
	

	//------- PAGOS ESPECIALES -------//
	//Buscar si el asiento de pagos_especiales fue sincronizado
	if($_SESSION['id_validar'] ==104 || $_SESSION['id_validar'] ==106) {
	if($tipo_nomina==100){ //Excluye las nominas mensuales
		//Valida si tiene registros por sincronizar en este periodo
		$query2="SELECT ps.concepto 
		FROM historico_pagos_especiales AS ps 
		
		WHERE substr(ps.fecha_registro,1,10)>'2024-03-01' AND substr(ps.fecha_registro,1,10) BETWEEN '$perido_cerrado_desde' AND '$perido_cerrado_hasta' AND ps.id = '".$_SESSION['id_validar']."'  GROUP BY ps.concepto, ps.unidad, ps.departamento ORDER BY ps.concepto DESC";
		$result_registros = mysqli_query($enlace,$query2);
		$numero_registros = mysqli_num_rows($result_registros);

		if($numero_registros>0){//Si es mayor que cero, tiene registros por sincronizar
			//Valida si este periodo ya fue sincronizado
			$query_asiento = mysqli_query($enlace,"SELECT sincronizacion_dynamics.* FROM ( SELECT MAX(id_sincronizacion) AS id_sincronizacion FROM sincronizacion_dynamics WHERE id = '".$_SESSION['id_validar']."' AND asiento = 'pagos_especiales' GROUP BY asiento,periodo ) as t1 INNER JOIN sincronizacion_dynamics ON t1.id_sincronizacion = sincronizacion_dynamics.id_sincronizacion WHERE sincronizacion_dynamics.periodo='".$periodo_cerrado."' AND sincronizacion_dynamics.estado_sincronizacion='Exitoso'") or die ("Error in query: $query_asiento. ".mysqli_error($enlace));
			if (mysqli_num_rows($query_asiento)==0){
				//echo "<br>No se encontraron registros sincronizados de nomina en el periodo: ".$periodo_cerrado;
				$array_sincronizar[] =array(
					"asiento" => "pagos_especiales",
					"periodo"=> $periodo_cerrado,
					"desde"=> $perido_cerrado_desde,
					"hasta"=> $perido_cerrado_hasta
				);
			}
		}
	}
	}else if ($_SESSION['id_validar'] ==107){
		$query2="SELECT ps.concepto 
		FROM historico_pagos_especiales AS ps 
		
		WHERE substr(ps.fecha_registro,1,10)>'2024-03-01' AND substr(ps.fecha_registro,1,10) BETWEEN '$perido_cerrado_desde' AND '$perido_cerrado_hasta' AND ps.id = '".$_SESSION['id_validar']."'  GROUP BY ps.concepto, ps.unidad, ps.departamento ORDER BY ps.concepto DESC";
		$result_registros = mysqli_query($enlace,$query2);
		$numero_registros = mysqli_num_rows($result_registros);

		if($numero_registros>0){//Si es mayor que cero, tiene registros por sincronizar
			//Valida si este periodo ya fue sincronizado
			$query_asiento = mysqli_query($enlace,"SELECT sincronizacion_dynamics.* FROM ( SELECT MAX(id_sincronizacion) AS id_sincronizacion FROM sincronizacion_dynamics WHERE id = '".$_SESSION['id_validar']."' AND asiento = 'pagos_especiales' GROUP BY asiento,periodo ) as t1 INNER JOIN sincronizacion_dynamics ON t1.id_sincronizacion = sincronizacion_dynamics.id_sincronizacion WHERE sincronizacion_dynamics.periodo='".$periodo_cerrado."' AND sincronizacion_dynamics.estado_sincronizacion='Exitoso'") or die ("Error in query: $query_asiento. ".mysqli_error($enlace));
			if (mysqli_num_rows($query_asiento)==0){
				//echo "<br>No se encontraron registros sincronizados de nomina en el periodo: ".$periodo_cerrado;
				$array_sincronizar[] =array(
					"asiento" => "pagos_especiales",
					"periodo"=> $periodo_cerrado,
					"desde"=> $perido_cerrado_desde,
					"hasta"=> $perido_cerrado_hasta
				);
			}
		
		
		}
	}

	//------- VACACIONES -------//
	//Buscar si el asiento de vacaciones fue sincronizado
	if($_SESSION['id_validar'] ==104 || $_SESSION['id_validar'] ==106) {
	if($tipo_nomina==100){ //Excluye las nominas mensuales
		//Valida si tiene registros por sincronizar en este periodo
		$query2="SELECT per.unidad 
		FROM vacacion AS vac 
		INNER JOIN personal AS per ON vac.cedula = per.codigo WHERE vac.fdesde BETWEEN '$perido_cerrado_desde' AND '$perido_cerrado_hasta' AND vac.id = '".$_SESSION['id_validar']."' AND per.id = '".$_SESSION['id_validar']."' GROUP BY per.unidad, per.departamento";
		$result_registros = mysqli_query($enlace,$query2);
		$numero_registros = mysqli_num_rows($result_registros);

		if($numero_registros>0){//Si es mayor que cero, tiene registros por sincronizar
			//Valida si este periodo ya fue sincronizado
			$query_asiento = mysqli_query($enlace,"SELECT sincronizacion_dynamics.* FROM ( SELECT MAX(id_sincronizacion) AS id_sincronizacion FROM sincronizacion_dynamics WHERE id = '".$_SESSION['id_validar']."' AND asiento = 'vacaciones' GROUP BY asiento,periodo ) as t1 INNER JOIN sincronizacion_dynamics ON t1.id_sincronizacion = sincronizacion_dynamics.id_sincronizacion WHERE sincronizacion_dynamics.periodo='".$periodo_cerrado."' AND sincronizacion_dynamics.estado_sincronizacion='Exitoso'") or die ("Error in query: $query_asiento. ".mysqli_error($enlace));
			if (mysqli_num_rows($query_asiento)==0){
				//echo "<br>No se encontraron registros sincronizados de nomina en el periodo: ".$periodo_cerrado;
				$array_sincronizar[] =array(
					"asiento" => "vacaciones",
					"periodo"=> $periodo_cerrado,
					"desde"=> $perido_cerrado_desde,
					"hasta"=> $perido_cerrado_hasta
				);
			}
		}
	}
	}else if ($_SESSION['id_validar'] ==107){
	$query2="SELECT per.unidad 
		FROM vacacion AS vac 
		INNER JOIN personal AS per ON vac.cedula = per.codigo WHERE vac.fdesde BETWEEN '$perido_cerrado_desde' AND '$perido_cerrado_hasta' AND vac.id = '".$_SESSION['id_validar']."' AND per.id = '".$_SESSION['id_validar']."' GROUP BY per.unidad, per.departamento";
		$result_registros = mysqli_query($enlace,$query2);
		$numero_registros = mysqli_num_rows($result_registros);

		if($numero_registros>0){//Si es mayor que cero, tiene registros por sincronizar
			//Valida si este periodo ya fue sincronizado
			$query_asiento = mysqli_query($enlace,"SELECT sincronizacion_dynamics.* FROM ( SELECT MAX(id_sincronizacion) AS id_sincronizacion FROM sincronizacion_dynamics WHERE id = '".$_SESSION['id_validar']."' AND asiento = 'vacaciones' GROUP BY asiento,periodo ) as t1 INNER JOIN sincronizacion_dynamics ON t1.id_sincronizacion = sincronizacion_dynamics.id_sincronizacion WHERE sincronizacion_dynamics.periodo='".$periodo_cerrado."' AND sincronizacion_dynamics.estado_sincronizacion='Exitoso'") or die ("Error in query: $query_asiento. ".mysqli_error($enlace));
			if (mysqli_num_rows($query_asiento)==0){
				//echo "<br>No se encontraron registros sincronizados de nomina en el periodo: ".$periodo_cerrado;
				$array_sincronizar[] =array(
					"asiento" => "vacaciones",
					"periodo"=> $periodo_cerrado,
					"desde"=> $perido_cerrado_desde,
					"hasta"=> $perido_cerrado_hasta
				);
			}
		}
	}	
	


	//------- BONOPOLLO -------//
	//Buscar si el asiento de bonopollo fue sincronizado
	if($tipo_nomina==100){ //Excluye las nominas mensuales
		//Valida si tiene registros por sincronizar en este periodo
		$query2="SELECT per.unidad AS localidad, per.departamento, SUM(pbp.monto) AS monto FROM pagos_bonopollo AS pbp INNER JOIN personal AS per ON pbp.cedula = per.codigo WHERE pbp.fecha_registro BETWEEN '$perido_cerrado_desde' AND '$perido_cerrado_hasta' AND pbp.id = '".$_SESSION['id_validar']."' AND per.id = '".$_SESSION['id_validar']."' GROUP BY per.unidad, per.departamento";
		$result_registros = mysqli_query($enlace,$query2);
		$numero_registros = mysqli_num_rows($result_registros);

		if($numero_registros>0){//Si es mayor que cero, tiene registros por sincronizar
			//Valida si este periodo ya fue sincronizado
			$query_asiento = mysqli_query($enlace,"SELECT sincronizacion_dynamics.* FROM ( SELECT MAX(id_sincronizacion) AS id_sincronizacion FROM sincronizacion_dynamics WHERE id = '".$_SESSION['id_validar']."' AND asiento = 'bonopollo' GROUP BY asiento,periodo ) as t1 INNER JOIN sincronizacion_dynamics ON t1.id_sincronizacion = sincronizacion_dynamics.id_sincronizacion WHERE sincronizacion_dynamics.periodo='".$periodo_cerrado."' AND sincronizacion_dynamics.estado_sincronizacion='Exitoso'") or die ("Error in query: $query_asiento. ".mysqli_error($enlace));
			if (mysqli_num_rows($query_asiento)==0){
				//echo "<br>No se encontraron registros sincronizados de nomina en el periodo: ".$periodo_cerrado;
				$array_sincronizar[] =array(
					"asiento" => "bonopollo",
					"periodo"=> $periodo_cerrado,
					"desde"=> $perido_cerrado_desde,
					"hasta"=> $perido_cerrado_hasta
				);
			}
		}
		}


	//------ CESTATICKET ----//
	//Buscar si el asiento de cestaticket fue sincronizado
	if($tipo_nomina==100){
	$query2="SELECT per.unidad AS localidad, per.departamento, SUM(hct.monto) AS monto, cpt.cuenta, cpt.detalle FROM historico_cestaticket AS hct INNER JOIN personal AS per ON hct.cedula = per.codigo INNER JOIN concepto AS cpt ON cpt.codigo = hct.concepto WHERE SUBSTR(hct.fecha_registro, 1, 10) BETWEEN '$perido_cerrado_desde' AND '$perido_cerrado_hasta' AND hct.id = '".$_SESSION['id_validar']."' AND per.id = '".$_SESSION['id_validar']."' GROUP BY per.unidad, per.departamento";
	$result_registros = mysqli_query($enlace,$query2);
	$numero_registros = mysqli_num_rows($result_registros);


	if($numero_registros>0){//Si es mayor que cero, tiene registros por sincronizar
		//Valida si este periodo ya fue sincronizado
		$query_asiento = mysqli_query($enlace,"SELECT sincronizacion_dynamics.* FROM ( SELECT MAX(id_sincronizacion) AS id_sincronizacion FROM sincronizacion_dynamics WHERE id = '".$_SESSION['id_validar']."' AND asiento = 'cestaticket' GROUP BY asiento,periodo ) as t1 INNER JOIN sincronizacion_dynamics ON t1.id_sincronizacion = sincronizacion_dynamics.id_sincronizacion WHERE sincronizacion_dynamics.periodo='".$periodo_cerrado."' AND sincronizacion_dynamics.estado_sincronizacion='Exitoso'") or die ("Error in query: $query_asiento. ".mysqli_error($enlace));
		if (mysqli_num_rows($query_asiento)==0){
			//echo "<br>No se encontraron registros sincronizados de nomina en el periodo: ".$periodo_cerrado;
			$array_sincronizar[] =array(
				"asiento" => "cestaticket",
				"periodo"=> $periodo_cerrado,
				"desde"=> $perido_cerrado_desde,
				"hasta"=> $perido_cerrado_hasta
			);
		}
	}
	}

	//------- LIQUIDACIONES -------//
	//Buscar si el asiento de liquidaciones fue sincronizado
		//Valida si tiene registros por sincronizar en este periodo
		if($_SESSION['id_validar'] ==104 || $_SESSION['id_validar'] ==106) {
		if($tipo_nomina==100){//Excluye las nominas mensuales
		//Valida si tiene registros por sincronizar en este periodo

		$query2="SELECT per.unidad FROM liquidaciones AS liq INNER JOIN personal AS per ON liq.cedula = per.codigo WHERE liq.fecha_pago BETWEEN '$perido_cerrado_desde' AND '$perido_cerrado_hasta' AND liq.id = '".$_SESSION['id_validar']."' AND liq.estado_liquidacion = 'pagado' AND per.id = '".$_SESSION['id_validar']."' GROUP BY per.unidad, per.departamento";
		$result_registros = mysqli_query($enlace,$query2);
		$numero_registros = mysqli_num_rows($result_registros);

		if($numero_registros>0){//Si es mayor que cero, tiene registros por sincronizar
			//Valida si este periodo ya fue sincronizado
			$query_asiento = mysqli_query($enlace,"SELECT sincronizacion_dynamics.* FROM ( SELECT MAX(id_sincronizacion) AS id_sincronizacion FROM sincronizacion_dynamics WHERE id = '".$_SESSION['id_validar']."' AND asiento = 'liquidaciones' GROUP BY asiento,periodo ) as t1 INNER JOIN sincronizacion_dynamics ON t1.id_sincronizacion = sincronizacion_dynamics.id_sincronizacion WHERE sincronizacion_dynamics.periodo='".$periodo_cerrado."' AND sincronizacion_dynamics.estado_sincronizacion='Exitoso'") or die ("Error in query: $query_asiento. ".mysqli_error($enlace));
			if (mysqli_num_rows($query_asiento)==0){
				//echo "<br>No se encontraron registros sincronizados de nomina en el periodo: ".$periodo_cerrado;
				$array_sincronizar[] =array(
					"asiento" => "liquidaciones",
					"periodo"=> $periodo_cerrado,
					"desde"=> $perido_cerrado_desde,
					"hasta"=> $perido_cerrado_hasta
				);
			}
		}
	}
	}else if ($_SESSION['id_validar'] ==107){
		$query2="SELECT per.unidad FROM liquidaciones AS liq INNER JOIN personal AS per ON liq.cedula = per.codigo WHERE liq.fecha_pago BETWEEN '$perido_cerrado_desde' AND '$perido_cerrado_hasta' AND liq.id = '".$_SESSION['id_validar']."' AND liq.estado_liquidacion = 'pagado' AND per.id = '".$_SESSION['id_validar']."' GROUP BY per.unidad, per.departamento";
		$result_registros = mysqli_query($enlace,$query2);
		$numero_registros = mysqli_num_rows($result_registros);

		if($numero_registros>0){//Si es mayor que cero, tiene registros por sincronizar
			//Valida si este periodo ya fue sincronizado
			$query_asiento = mysqli_query($enlace,"SELECT sincronizacion_dynamics.* FROM ( SELECT MAX(id_sincronizacion) AS id_sincronizacion FROM sincronizacion_dynamics WHERE id = '".$_SESSION['id_validar']."' AND asiento = 'liquidaciones' GROUP BY asiento,periodo ) as t1 INNER JOIN sincronizacion_dynamics ON t1.id_sincronizacion = sincronizacion_dynamics.id_sincronizacion WHERE sincronizacion_dynamics.periodo='".$periodo_cerrado."' AND sincronizacion_dynamics.estado_sincronizacion='Exitoso'") or die ("Error in query: $query_asiento. ".mysqli_error($enlace));
			if (mysqli_num_rows($query_asiento)==0){
				//echo "<br>No se encontraron registros sincronizados de nomina en el periodo: ".$periodo_cerrado;
				$array_sincronizar[] =array(
					"asiento" => "liquidaciones",
					"periodo"=> $periodo_cerrado,
					"desde"=> $perido_cerrado_desde,
					"hasta"=> $perido_cerrado_hasta
				);
			}
		}
	}

	//------- BONO DE ALIMENTACIÓN -------//
/*
	//Este bono se sincroniza quincenalmente, se va a dividir el periodo mensual en quincenal a continuación
	//$quincena_15 = date('Y-m-15',strtotime($primer_fecha_mes));
	//$quincena_16 = date('Y-m-16',strtotime($primer_fecha_mes));

	//Valida si tiene registros por sincronizar en el periodo del 01 al 15
		if($tipo_nomina==100 ){
	$query2="SELECT per.unidad AS localidad, per.departamento, SUM(pba.monto) AS monto FROM pagos_bono_alimen AS pba INNER JOIN personal AS per ON pba.cedula = per.codigo WHERE pba.fecha BETWEEN '$perido_cerrado_desde' AND '$perido_cerrado_hasta'  AND pba.id = '".$_SESSION['id_validar']."' AND per.id = '".$_SESSION['id_validar']."' GROUP BY per.unidad, per.departamento";
	$result_registros = mysqli_query($enlace,$query2);
	$numero_registros = mysqli_num_rows($result_registros);

	if($numero_registros>0){//Si es mayor que cero, tiene registros por sincronizar
		//Valida si este periodo ya fue sincronizado
		$query_asiento = mysqli_query($enlace,"SELECT sincronizacion_dynamics.* FROM ( SELECT MAX(id_sincronizacion) AS id_sincronizacion FROM sincronizacion_dynamics WHERE id = '".$_SESSION['id_validar']."' AND asiento = 'bono_alimentacion' GROUP BY asiento,periodo ) as t1 INNER JOIN sincronizacion_dynamics ON t1.id_sincronizacion = sincronizacion_dynamics.id_sincronizacion WHERE sincronizacion_dynamics.periodo='".$periodo_cerrado."' AND sincronizacion_dynamics.estado_sincronizacion='Exitoso'") or die ("Error in query: $query_asiento. ".mysqli_error($enlace));
		if (mysqli_num_rows($query_asiento)==0){
			//echo "<br>No se encontraron registros sincronizados de nomina en el periodo: ".$periodo_cerrado;
			$array_sincronizar[] =array(
				"asiento" => "bono_alimentacion",
				"periodo"=> $periodo_cerrado,
				"desde"=> $perido_cerrado_desde,
				"hasta"=> $perido_cerrado_hasta
			);
		}
	}
}
*/
		/*
	//Valida si tiene registros por sincronizar en el periodo del 16 al finalizar_mes
	$query2="SELECT per.unidad AS localidad, per.departamento, SUM(pba.monto) AS monto FROM pagos_bono_alimen AS pba INNER JOIN personal AS per ON pba.cedula = per.codigo WHERE pba.fecha BETWEEN '$quincena_16' AND '$ultima_fecha_mes' AND pba.concepto = '7009' AND pba.id = '".$_SESSION['id_validar']."' AND per.id = '".$_SESSION['id_validar']."' GROUP BY per.unidad, per.departamento";
	$result_registros = mysqli_query($enlace,$query2);
	$numero_registros = mysqli_num_rows($result_registros);

	if($numero_registros>0){//Si es mayor que cero, tiene registros por sincronizar
		//Valida si este periodo ya fue sincronizado
		$query_asiento = mysqli_query($enlace,"SELECT sincronizacion_dynamics.* FROM ( SELECT MAX(id_sincronizacion) AS id_sincronizacion FROM sincronizacion_dynamics WHERE id = '".$_SESSION['id_validar']."' AND asiento = 'bono_alimentacion' GROUP BY asiento,periodo ) as t1 INNER JOIN sincronizacion_dynamics ON t1.id_sincronizacion = sincronizacion_dynamics.id_sincronizacion WHERE sincronizacion_dynamics.periodo='".$periodo_cerrado."' AND sincronizacion_dynamics.estado_sincronizacion='Exitoso'") or die ("Error in query: $query_asiento. ".mysqli_error($enlace));
		if (mysqli_num_rows($query_asiento)==0){
			//echo "<br>No se encontraron registros sincronizados de nomina en el periodo: ".$periodo_cerrado;
			$array_sincronizar[] =array(
				"asiento" => "bono_alimentacion",
				"periodo"=> $periodo_cerrado,
				"desde"=> $quincena_16,
				"hasta"=> $ultima_fecha_mes
			);
		}
	}
	*/



	//------- BONO DE ALIMENTACIÓN en $$$-------//

	//Este bono se sincroniza quincenalmente, se va a dividir el periodo mensual en quincenal a continuación
	//$quincena_15 = date('Y-m-15',strtotime($primer_fecha_mes));
	//$quincena_16 = date('Y-m-16',strtotime($primer_fecha_mes));

	//Valida si tiene registros por sincronizar en el periodo del 01 al 15
		if($tipo_nomina==100 ){
	$query2="SELECT per.unidad AS localidad, per.departamento, SUM(pba.monto) AS monto FROM pagos_bono_alimen AS pba INNER JOIN personal AS per ON pba.cedula = per.codigo WHERE pba.fecha BETWEEN '$perido_cerrado_desde' AND '$perido_cerrado_hasta' AND pba.concepto IN ('7005','7010','7011','7012','7013') AND pba.fecha >= '2024-03-01' AND pba.id = '".$_SESSION['id_validar']."' AND per.id = '".$_SESSION['id_validar']."' GROUP BY per.unidad, per.departamento";
	$result_registros = mysqli_query($enlace,$query2);
	$numero_registros = mysqli_num_rows($result_registros);

	if($numero_registros>0){//Si es mayor que cero, tiene registros por sincronizar
		//Valida si este periodo ya fue sincronizado
		$query_asiento = mysqli_query($enlace,"SELECT sincronizacion_dynamics.* FROM ( SELECT MAX(id_sincronizacion) AS id_sincronizacion FROM sincronizacion_dynamics WHERE id = '".$_SESSION['id_validar']."' AND asiento = 'bono_alimentacion_usd' GROUP BY asiento,periodo ) as t1 INNER JOIN sincronizacion_dynamics ON t1.id_sincronizacion = sincronizacion_dynamics.id_sincronizacion WHERE sincronizacion_dynamics.periodo='".$periodo_cerrado."' AND sincronizacion_dynamics.estado_sincronizacion='Exitoso'") or die ("Error in query: $query_asiento. ".mysqli_error($enlace));
		if (mysqli_num_rows($query_asiento)==0){
			//echo "<br>No se encontraron registros sincronizados de nomina en el periodo: ".$periodo_cerrado;
			$array_sincronizar[] =array(
				"asiento" => "bono_alimentacion_usd",
				"periodo"=> $periodo_cerrado,
				"desde"=> $perido_cerrado_desde,
				"hasta"=> $perido_cerrado_hasta
			);
		}
	}
	}



	/*
	//------- DESCUENTOS EN BONO DE ALIMENTACIÓN en $$$-------//

	//Este bono se sincroniza quincenalmente, se va a dividir el periodo mensual en quincenal a continuación
	//$quincena_15 = date('Y-m-15',strtotime($primer_fecha_mes));
	//$quincena_16 = date('Y-m-16',strtotime($primer_fecha_mes));

	//Valida si tiene registros por sincronizar en el periodo del 01 al 15
		if($tipo_nomina==100 ){
	$query2="SELECT per.unidad AS localidad, per.departamento, SUM(pba.monto) AS monto FROM pagos_bono_alimen AS pba INNER JOIN personal AS per ON pba.cedula = per.codigo WHERE pba.fecha BETWEEN '$perido_cerrado_desde' AND '$perido_cerrado_hasta' AND pba.concepto = '7010' AND pba.fecha >= '2022-03-01' AND pba.id = '".$_SESSION['id_validar']."' AND per.id = '".$_SESSION['id_validar']."' GROUP BY per.unidad, per.departamento";
	$result_registros = mysqli_query($enlace,$query2);
	$numero_registros = mysqli_num_rows($result_registros);

	if($numero_registros>0){//Si es mayor que cero, tiene registros por sincronizar
		//Valida si este periodo ya fue sincronizado
		$query_asiento = mysqli_query($enlace,"SELECT sincronizacion_dynamics.* FROM ( SELECT MAX(id_sincronizacion) AS id_sincronizacion FROM sincronizacion_dynamics WHERE id = '".$_SESSION['id_validar']."' AND asiento = 'bono_alimentacion_descuentos' GROUP BY asiento,periodo ) as t1 INNER JOIN sincronizacion_dynamics ON t1.id_sincronizacion = sincronizacion_dynamics.id_sincronizacion WHERE sincronizacion_dynamics.periodo='".$periodo_cerrado."' AND sincronizacion_dynamics.estado_sincronizacion='Exitoso'") or die ("Error in query: $query_asiento. ".mysqli_error($enlace));
		if (mysqli_num_rows($query_asiento)==0){
			//echo "<br>No se encontraron registros sincronizados de nomina en el periodo: ".$periodo_cerrado;
			$array_sincronizar[] =array(
				"asiento" => "bono_alimentacion_descuentos",
				"periodo"=> $periodo_cerrado,
				"desde"=> $perido_cerrado_desde,
				"hasta"=> $perido_cerrado_hasta
			);
		}
	}
	}
	*/

	//------- UTILIDADES -------//
	//Validar si este periodo es el fin de mes para entonces verificar si se debe sincronizar utilidades
	$ultima_fecha_mes = date('Y-m-t',strtotime($perido_cerrado_desde));
	$primer_fecha_mes = date('Y-m-01',strtotime($perido_cerrado_desde));
	if ($ultima_fecha_mes == $perido_cerrado_hasta){
		//Este periodo es el fin de mes, por ende se debe sincronizar utilidades

		//Valida si tiene registros por sincronizar en este periodo
		$query2="SELECT per.unidad FROM utilidades AS uti INNER JOIN personal AS per ON uti.cedula = per.codigo WHERE uti.fecha BETWEEN '$primer_fecha_mes' AND '$ultima_fecha_mes' AND uti.id = '".$_SESSION['id_validar']."' AND per.id = '".$_SESSION['id_validar']."'  AND uti.tipo IN ('A','D') GROUP BY per.unidad, per.departamento";

		$result_registros = mysqli_query($enlace,$query2);
		$numero_registros = mysqli_num_rows($result_registros);

		if($numero_registros>0){//Si es mayor que cero, tiene registros por sincronizar
			//Buscar si el asiento de utilidades fue sincronizado
			$query_asiento = mysqli_query($enlace,"SELECT sincronizacion_dynamics.* FROM ( SELECT MAX(id_sincronizacion) AS id_sincronizacion FROM sincronizacion_dynamics WHERE id = '".$_SESSION['id_validar']."' AND asiento = 'utilidades' GROUP BY asiento,periodo ) as t1 INNER JOIN sincronizacion_dynamics ON t1.id_sincronizacion = sincronizacion_dynamics.id_sincronizacion WHERE sincronizacion_dynamics.desperiodo='".$primer_fecha_mes." al ".$ultima_fecha_mes."'  AND sincronizacion_dynamics.estado_sincronizacion='Exitoso'") or die ("Error in query: $query_asiento. ".mysqli_error($enlace));
			if (mysqli_num_rows($query_asiento)==0){
				//echo "<br>No se encontraron registros sincronizados de utilidades en el periodo: ".$periodo_cerrado;
				$array_sincronizar[] =array(
					"asiento" => "utilidades",
					"periodo"=> $periodo_cerrado,
					"desde"=> $primer_fecha_mes,
					"hasta"=> $ultima_fecha_mes
				);
			}
		}

		//------- PROVISIÓN DE PRESTACIONES SEMANALES -------//
		if($_SESSION['id_validar'] !=107){//excluye IGM porque no tiene nómina semanal
		$query_asiento = mysqli_query($enlace,"SELECT sincronizacion_dynamics.* FROM ( SELECT MAX(id_sincronizacion) AS id_sincronizacion FROM sincronizacion_dynamics WHERE id = '".$_SESSION['id_validar']."' AND asiento = 'provision_prestaciones_semanales' GROUP BY asiento,periodo ) as t1 INNER JOIN sincronizacion_dynamics ON t1.id_sincronizacion = sincronizacion_dynamics.id_sincronizacion WHERE sincronizacion_dynamics.desperiodo='".$primer_fecha_mes." al ".$ultima_fecha_mes."'  AND sincronizacion_dynamics.estado_sincronizacion='Exitoso'") or die ("Error in query: $query_asiento. ".mysqli_error($enlace));
		if (mysqli_num_rows($query_asiento)==0){
			//echo "<br>No se encontraron registros sincronizados de nomina en el periodo: ".$periodo_cerrado;
			$array_sincronizar[] =array(
				"asiento" => "provision_prestaciones_semanales",
				"periodo"=> $periodo_cerrado,
				"desde"=> $primer_fecha_mes,
				"hasta"=> $ultima_fecha_mes
			);
		}
		}

		//------- PROVISIÓN DE PRESTACIONES MENSUALES -------//
		$query_asiento = mysqli_query($enlace,"SELECT sincronizacion_dynamics.* FROM ( SELECT MAX(id_sincronizacion) AS id_sincronizacion FROM sincronizacion_dynamics WHERE id = '".$_SESSION['id_validar']."' AND asiento = 'provision_prestaciones_mensuales' GROUP BY asiento,periodo ) as t1 INNER JOIN sincronizacion_dynamics ON t1.id_sincronizacion = sincronizacion_dynamics.id_sincronizacion WHERE sincronizacion_dynamics.desperiodo='".$primer_fecha_mes." al ".$ultima_fecha_mes."'  AND sincronizacion_dynamics.estado_sincronizacion='Exitoso'") or die ("Error in query: $query_asiento. ".mysqli_error($enlace));
		if (mysqli_num_rows($query_asiento)==0){
			//echo "<br>No se encontraron registros sincronizados de nomina en el periodo: ".$periodo_cerrado;
			$array_sincronizar[] =array(
				"asiento" => "provision_prestaciones_mensuales",
				"periodo"=> $periodo_cerrado,
				"desde"=> $primer_fecha_mes,
				"hasta"=> $ultima_fecha_mes
			);
		}





	}
}
//####### FIN: IDENTIFCAR LOS ASIENTOS QUE NO SE HAN SINCRONIZADO ################



?>
<html>
<head>

</head>
<style>
	.dropdown-menu>.active>a, .dropdown-menu>.active>a:focus, .dropdown-menu>.active>a:hover {
		color: #fff;
		text-decoration: none;
		background-color: #337ab7;
		outline: 0;
	}
	#tabla_novedades .horas_extras, .ausencia_medica, .validado_por_sso, .justificacion_ausencia, .remunerado_ausencia, .tiempo_viaje_ausencia, .ausencia, .ausencia_programada, .tipo_permiso_ausencia, .retardo, .salida_anticipada, .horassalida_anticipada, .datos_trabajador, .hora_salida_ausencia, .hora_llegada_ausencia  {
  	display: none;
	}
	#ocultar {
  	display: none;
	}

	.form-control-time {
	width: 80px;
    height: 34px;
    padding: 6px 12px;
    font-size: 12px;
    line-height: 1.42857143;
    color: #555;
    background-color: #fff;
    background-image: none;
    border: 1px solid #ccc;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    -webkit-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
	}
	.boton{
    /* width: 100%; */
    color: #FFFFFF;
    /* font-size: 0.8725em; */
    padding: 7px;
    margin-bottom: 5px;
    margin-top: 10px;
    outline: none;
    /* margin: 5px 0; */
    font-family: 'Open Sans', sans-serif;
    font-size: 16px;
    font-weight: bold;
    text-transform: uppercase;
    background: #36C1E2;
    border: 0px solid #DFDFDF;
	}

    .glyphicon-modal-window:before{content:"\e237"}
    .modal-open{overflow:hidden}
    .modal{position:fixed;top:0;right:0;bottom:0;left:0;z-index:1050;display:none;overflow:hidden;-webkit-overflow-scrolling:touch;outline:0}
    .modal.fade .modal-dialog{-webkit-transform:translate(0,-25%);-ms-transform:translate(0,-25%);-o-transform:translate(0,-25%);transform:translate(0,-25%);-webkit-transition:-webkit-transform .3s ease-out;-o-transition:-o-transform .3s ease-out;transition:-webkit-transform .3s ease-out;transition:transform .3s ease-out;transition:transform .3s ease-out,-webkit-transform .3s ease-out,-o-transform .3s ease-out}
    .modal.in .modal-dialog{-webkit-transform:translate(0,0);-ms-transform:translate(0,0);-o-transform:translate(0,0);transform:translate(0,0)}
    .modal-open .modal{overflow-x:hidden;overflow-y:auto}
    .modal-dialog{position:relative;width:auto;margin:10px}
    .modal-content{position:relative;background-color:#fff;background-clip:padding-box;border:1px solid #999;border:1px solid rgba(0,0,0,.2);border-radius:6px;-webkit-box-shadow:0 3px 9px rgba(0,0,0,.5);box-shadow:0 3px 9px rgba(0,0,0,.5);outline:0}
    .modal-backdrop{position:fixed;top:0;right:0;bottom:0;left:0;z-index:1040;background-color:#000}
    .modal-backdrop.fade{filter:alpha(opacity=0);opacity:0}
    .modal-backdrop.in{filter:alpha(opacity=50);opacity:.5}
    .modal-header{padding:15px;border-bottom:1px solid #e5e5e5}
    .modal-header .close{margin-top:-2px}
    .modal-title{margin:0;line-height:1.42857143}
    .modal-body{position:relative;padding:15px}
    .modal-footer{padding:15px;text-align:right;border-top:1px solid #e5e5e5}
    .modal-footer .btn+.btn{margin-bottom:0;margin-left:5px}
    .modal-footer .btn-group .btn+.btn{margin-left:-1px}
    .modal-footer .btn-block+.btn-block{margin-left:0}
    .modal-scrollbar-measure{position:absolute;top:-9999px;width:50px;height:50px;overflow:scroll}@media (min-width:768px){.modal-dialog{width:600px;margin:30px auto}
    .modal-content{-webkit-box-shadow:0 5px 15px rgba(0,0,0,.5);box-shadow:0 5px 15px rgba(0,0,0,.5)}
    .modal-sm{width:300px}}@media (min-width:992px){.modal-lg{width:900px}}
    .tooltip{position:absolute;z-index:1070;display:block;font-family:"Helvetica Neue",Helvetica,Arial,sans-serif;font-style:normal;font-weight:400;line-height:1.42857143;line-break:auto;text-align:left;text-align:start;text-decoration:none;text-shadow:none;text-transform:none;letter-spacing:normal;word-break:normal;word-spacing:normal;word-wrap:normal;white-space:normal;font-size:12px;filter:alpha(opacity=0);opacity:0}
    .tooltip.in{filter:alpha(opacity=90);opacity:.9}
</style>
<style>
		/*the container must be positioned relative:*/
		.autocomplete {
		  position: relative;
		  display: inline-block;
		  text-transform: capitalize;
		}
		.autocompletar{
			text-transform: capitalize;
		}
		.regristrado{
			color: green;
			margin-left: 7%;
			font-weight: bold;
		}

		.noregristrado{
			color: red;
			margin-left: 7%;
			font-weight: bold;
		}

		.autocomplete-items {
		  position: absolute;
		  border: 1px solid #d4d4d4;
		  border-bottom: none;
		  border-top: none;
		  z-index: 99;
		  /*position the autocomplete items to be the same width as the container:*/
		  top: 100%;
		  left: 0;
		  right: 0;
		}

		.autocomplete-items div {
		  padding: 5px;
		  cursor: pointer;
		  background-color: #fff;
		  border-bottom: 1px solid #d4d4d4;
		}

		/*when hovering an item:*/
		.autocomplete-items div:hover {
		  background-color: #e9e9e9;
		}

		/*when navigating through the items using the arrow keys:*/
		.autocomplete-active {
		  background-color: DodgerBlue !important;
		  color: #ffffff;
		}

		.ui-progress-bar {
		  position: relative;
		  height: 35px;
		  padding-right: 2px;
		  background-color: #DADADA;
		  border-radius: 5px;
		  -moz-border-radius: 5px;
		  -webkit-border-radius: 5px;
		}

		.ui-progress {
		  position: relative;
		  display: block;
		  overflow: hidden;
		  height: 33px;
		  -moz-border-radius: 5px;
		  -webkit-border-radius: 5px;
		  border-radius: 5px;
		  -webkit-background-size: 44px 44px;
		  background-color: #74d04c;
		  border: 1px solid #4c8932;
		  -webkit-animation: animate-stripes 2s linear infinite;
		}

		.ui-progress span.ui-label {
		  font-size: 1.2em;
		  position: absolute;
		  right: 0;
		  line-height: 33px;
		  padding-right: 12px;
		  color: rgba(0,0,0,0.6);
		  text-shadow: rgba(255,255,255, 0.45) 0 1px 0px;
		  white-space: nowrap;
		}

	/* .inline {
	  background: none!important;
	  border: none;
	  padding: 0!important;
	  font-family: arial, sans-serif;
	  color: #069;
	  text-decoration: underline;
	  cursor: pointer;
	  font-family: 'Courier New', Courier, monospace;
	  color: black;
	} */
</style>
	<body>
		<?php
		menu();
		?>
		<!--<br><table border=0 cellpadding=0 cellspacing=0 width='100%'>
			<tr>
				<td  width='100%' align='left'><font size=2 color='black' face='verdana'>Empresa: <b><?echo $_SESSION['empresa_validar'];?></b>  - Per&iacute;odo: <b><font color=red><?echo $per;?></font></b>  -  Usuario: <b><?echo $_SESSION['nombre_validar'];?></b></font></td>
			</tr>
		</table><hr> -->
<?php
echo "<h2>Contabilización de nómina</h2>";
echo "<div id='progress_bar_new' style='display:none;' >";
echo "<center>  <img src='css/progress_circle.gif' width='90'/> </center>";
echo "</div>";

	echo "<main class='container'>";
			echo "<section class='row text-center'>";
			// echo $_SERVER['PHP_SELF']."&codigo=".$_SESSION['codigo_cedula'];
			echo "<div class='col-sm-6'>";
			
			/////Aqui defino a cual empresa estamos trabajando para direccionar al archivo que contiene las funciones de cada una de acuerdo a la empresa (GSC ó MERSAN) para eso hago un IF --- Miguelangel 22/03/2024
			
			if ($_SESSION['id_validar'] == '104' ){
				
            echo "<form autocomplete='off' name = 'entrada' action = 'generar_contabilizacion_nomina.php' method = 'POST'  enctype='multipart/form-data'>";
			
			}else if($_SESSION['id_validar'] == '106'){
				
			echo "<form autocomplete='off' name = 'entrada' action = 'generar_contabilizacion_nomina_GSC.php' method = 'POST'  enctype='multipart/form-data'>";
			
			}else if($_SESSION['id_validar'] == '107'){
				
			echo "<form autocomplete='off' name = 'entrada' action = 'generar_contabilizacion_nomina_IGM.php' method = 'POST'  enctype='multipart/form-data'>";
			
			}
			
			echo "<input type = 'hidden' name = 'inicio' value = '1'>";
            echo "<p class='text-primary text-left'>Sincronizaciones pendientes por realizar</p>";
            echo "<table class='table table-striped bg-white'>
                <tr>
                    <th scope='col'>Asiento</th>
                    <th scope='col'>Periodo</th>
                    <th scope='col'>Sincronizar</th>
                </tr>
                <tbody>";


						foreach ($array_sincronizar as $sincroniza) {
							switch ($sincroniza['asiento']) {
								case 'nomina':
									$asiento = "Nómina";
									break;
								case 'pagos_especiales':
									$asiento = "Pagos especiales";
									break;
								case 'vacaciones':
									$asiento = "Vacaciones";
									break;
								case 'provision_prestaciones_semanales':
									$asiento = "Provision de prestaciones semanales";
									break;
								case 'provision_prestaciones_mensuales':
									$asiento = "Provision de prestaciones mensuales";
									break;
								case 'bono_alimentacion':
									$asiento = "Bono de alimentación";
									break;

									case 'bono_alimentacion_usd':
										$asiento = "Bono de alimentación $$$";
										break;

										case 'bono_alimentacion_descuentos':
											$asiento = "Descuentos en Bono_alimentación_$$$";
											break;

								case 'aportes_parafiscales':
									$asiento = "Aportes Seguridad Soc + FAOV + INCES";
									break;
								case 'aportes_inces':
									$asiento = "Aportes INCES empresa";
									break;
								default:
									$asiento = ucwords($sincroniza['asiento']);
									break;
							}
							$periodo = $sincroniza['periodo'];
							$fecha_desde = $sincroniza['desde'];
							$fecha_hasta = $sincroniza['hasta'];
							
							/////Aqui defino a cual empresa estamos trabajando para direccionar al archivo que contiene las funciones de cada una de acuerdo a la empresa (GSC ó MERSAN) para eso hago un IF --- Miguelangel 22/03/2024
							
							if($_SESSION['id_validar'] == '104' ){

							echo "<tr><td>".$asiento."</td><td>"
								.$fecha_desde." al ". $fecha_hasta ."<input type='hidden' name='".$asiento."' value='".$fecha_desde." al ". $fecha_hasta."' class='periodo' id='".$periodo."'>
								</td><td>

								<a href='generar_contabilizacion_nomina.php?cont=".$fecha_desde." al ". $fecha_hasta."&asiento=".$sincroniza['asiento']."'  onclick='LoadSync();' class='p'>Sincronizar</a>
								</td></tr>";
							
							}else if ($_SESSION['id_validar'] == '106'){
								
							echo "<tr><td>".$asiento."</td><td>"
								.$fecha_desde." al ". $fecha_hasta ."<input type='hidden' name='".$asiento."' value='".$fecha_desde." al ". $fecha_hasta."' class='periodo' id='".$periodo."'>
								</td><td>

								<a href='generar_contabilizacion_nomina_GSC.php?cont=".$fecha_desde." al ". $fecha_hasta."&asiento=".$sincroniza['asiento']."'  onclick='LoadSync();' class='p'>Sincronizar</a>
								</td></tr>";
								
							}else if ($_SESSION['id_validar'] == '107'){
								
							echo "<tr><td>".$asiento."</td><td>"
								.$fecha_desde." al ". $fecha_hasta ."<input type='hidden' name='".$asiento."' value='".$fecha_desde." al ". $fecha_hasta."' class='periodo' id='".$periodo."'>
								</td><td>

								<a href='generar_contabilizacion_nomina_IGM.php?cont=".$fecha_desde." al ". $fecha_hasta."&asiento=".$sincroniza['asiento']."'  onclick='LoadSync();' class='p'>Sincronizar</a>
								</td></tr>";
								
							}
						}

						//Valida si el ultimo asiento correspondiente fue transmitido satisfactoriamente
						while ($rows = mysqli_fetch_array($resultado3)) {
							switch ($rows['asiento']) {
								case 'nomina':
									if (($rows['periodo'] == $periodo)&&($rows['estado_sincronizacion']=='Exitoso')){
										$imprime_nomina="";
									}
								break;
								case 'cestaticket':
									if (($rows['periodo'] == $periodo)&&($rows['estado_sincronizacion']=='Exitoso')){
										$imprime_cestaticket="";
									}
								case 'aportes_parafiscales':
									if (($rows['periodo'] == $periodo)&&($rows['estado_sincronizacion']=='Exitoso')){
										$imprime_aportes_parafiscales="";
									}
								case 'aportes_inces':
										if (($rows['periodo'] == $periodo)&&($rows['estado_sincronizacion']=='Exitoso')){
											$imprime_aportes_inces="";
										}
								break;
								case 'prestaciones':
									if (($rows['periodo'] == $periodo)&&($rows['estado_sincronizacion']=='Exitoso')){
										$imprime_prestaciones="";
									}
								break;
								default:
									// code...
									break;
							}
						}
						//Imprime registro para sincronizar nomina
            echo $imprime_nomina;

						//Imprime registro para sincronizar parafiscales
						echo $imprime_parafiscales;

						//Imprime registro para sincronizar cestaticket
						echo $imprime_cestaticket;

						//Imprime registro para sincronizar prestaciones
						echo $imprime_prestaciones;
                echo "</tbody>
            </table>";

            echo "</form>";
            echo "</div>";
            echo "<div class='col-sm-6'>";
            echo "<p class='text-primary text-left'>Últimas sincronizaciones realizadas</p>";
            echo "<table class='table table-striped bg-white'>
                <tr>
                    <th scope='col'>Asiento</th>
                    <th scope='col'>Periodo</th>
                    <th scope='col'>Estado</th>
										<th scope='col'>Registros</th>
										<th scope='col'>Log</th>
                </tr>
                <tbody>";
                    while ($rows = mysqli_fetch_array($resultado2)) {
											switch ($rows['asiento']) {
												case 'nomina':
													$asiento = "Nómina";
													break;
												case 'pagos_especiales':
													$asiento = "Pagos especiales";
													break;
												case 'vacaciones':
													$asiento = "Vacaciones";
													break;
												case 'provision_prestaciones_semanales':
													$asiento = "Provision de prestaciones semanales";
													break;
												case 'provision_prestaciones_mensuales':
													$asiento = "Provision de prestaciones mensuales";
													break;
												case 'bono_alimentacion':
													$asiento = "Bono de alimentación";
													break;
													case 'bono_alimentacion_usd':
														$asiento = "Bono de alimentación $$$";
														break;

														case 'bono_alimentacion_descuentos':
															$asiento = "Descuentos en Bono_alimentación_$$$";
															break;

												default:
													$asiento = ucwords($rows['asiento']);
													break;
											}

											if ($rows['estado_sincronizacion']!='Exitoso'){
												$url = "<a href='reporte_sincronizacion_dynamics.php?id_sync=".$rows['id_sincronizacion']."'>Descargar</a>";
												$imprimir_estado_sincronizacion="<td><font color='red'><b>".$rows['estado_sincronizacion']."</b></td>";
											}else{
												$imprimir_estado_sincronizacion="<td><font color='blue'><b>".$rows['estado_sincronizacion']."</b></td>";
												$url = "-";
											}

                        echo " <tr>
                                <td>".$asiento."</td>
                                <td>".$rows['desperiodo']."<br><br>Fecha sincronizado: <br>".$rows['fecha_sincronizacion']."</td>
                                ".$imprimir_estado_sincronizacion."
																<td>Enviados: ".$rows['registros_totales']." <br>Correctos: ".$rows['registros_satisfactorios']." <br>Error: ".$rows['registros_errados']." </td>
																<td>".$url."</td>
                        </tr>";
                    }
                echo "</tbody>
            </table>";
            echo "</div>";
			echo "</section>";
			echo "</main>";
?>
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
    <script type="text/javascript">

		function LoadSync(){
			$("#progress_bar_new").show();
		}
    </script>
	</body>
</html>
